%define rel 5
%define bzr 0

%define major 0
%define library_name awn
%define libname %mklibname %library_name %major
%define develname %mklibname %library_name -d

%if %bzr
%define srcname %{name}-%{bzr}
%define distname %{name}
%define release %mkrel 0.%{bzr}.%{rel}
%else
%define srcname %{name}-%{version}
%define distname %{name}-%{version}
%define release %mkrel %{rel}
%endif

%define schemas awn

%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

Summary:	AWN - a Dock-style window selector for GNOME
Name:		avant-window-navigator
Version:	0.2.6
Release:	%{release}
Source0:	%{srcname}.tar.gz
# From upstream dev malept: install Python stuff to platsitedir not
# puresitedir - AdamW 2008/02
Patch0:		avant-window-navigator-0.2.6-platsitedir.patch
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/awn
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gnome-common
BuildRequires:	libGConf2-devel
BuildRequires:	intltool
BuildRequires:	libgtk+2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libwnck-devel
BuildRequires:	libxcomposite-devel
BuildRequires:	libxdamage-devel
BuildRequires:	ImageMagick
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	gtk-doc
BuildRequires:	pyxdg
BuildRequires:	vala
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-desktop
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-applet
Requires:	pygtk2.0-libglade
Requires:	pyxdg

%description
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon.

%package -n %{libname}
Group: System/Libraries
Summary: Shared libraries for avant-window-navigator

%description -n %{libname}
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon. This package contains the
shared library for AWN.

%package -n %{develname}
Group: Development/C
Summary: Development libraries for avant-window-navigator
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: %{library_name}-devel = %{version}-%{release}

%description -n %{develname}
Avant Window Navigator (AWN) is a dock-style window list for GNOME. It
provides a view of your running applications in a dock at the bottom
of the screen, identified by their icon. This package contains
development libraries and headers for AWN.

%prep
%setup -q -n %{distname}
%patch0 -p1 -b .platsitedir

%build
%if %bzr
./autogen.sh -V
%endif
# Needed for the platsitedir patch - AdamW 2008/02
autoreconf
%configure2_5x --disable-schemas-install
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --remove-category="X-Fedora" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/*

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16,scalable}/apps
install -m 644 %{buildroot}%{_datadir}/%{name}/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
install -m 644 data/%{name}-48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png 
convert -scale 32 data/%{name}-48.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/%{name}-48.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

sed -i -e 's,/usr/share/%{name}/%{name}-48.png,%{name},g' %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i -e 's,/usr/share/%{name}/%{name}-48.png,%{name},g' %{buildroot}%{_datadir}/applications/awn-manager.desktop

dir -d %{buildroot}%{_datadir}/%{name}/awn-manager
%python_compile_opt
%python_compile
install awn-manager/*.pyc awn-manager/*.pyo %{buildroot}%{_datadir}/%{name}/awn-manager

%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas %{schemas}

#preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%update_menus
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_bindir}/awn-applet-activation
%{_bindir}/awn-launcher-editor
%{_bindir}/awn-manager
%{_bindir}/awn-schema-to-gconf
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/awn-manager.desktop
%{_libdir}/%{library_name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/awn-manager.*
%{py_platsitedir}/%{library_name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/lib%{library_name}
%{_includedir}/lib%{library_name}
%{_libdir}/lib*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/%{library_name}.pc
%{_datadir}/vala/vapi/awn.*



%changelog
* Tue Mar 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.6-5mdv2008.1
+ Revision: 190186
- mention 'awn' in summary and descriptions for easy searching

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 0.2.6-4mdv2008.1
+ Revision: 188866
- rebuild for missing package

* Mon Feb 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.6-3mdv2008.1
+ Revision: 175069
- adjust platsitedir.patch to put all files in platsitedir, not split between plat and pure (colin g. reports this causes problems)

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.6-2mdv2008.1
+ Revision: 174247
- pre-generate some .pyc and .pyos that aren't done by the build scripts (per python policy)
- adjust file list for last fix
- replace the quick platsitedir workaround with upstream's proposed patch
- drop schemas.patch, it was wrong (my mistake)

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.6-1mdv2008.1
+ Revision: 174222
- need to run autoconf after previous fix...
- package vala bindings (in devel)
- hack acinclude.m4 so the python stuff gets installed to platsitedir not puresitedir
- buildrequires pyxdg and vala, requires pyxdg
- add schemas.patch to fix --disable-schemas-install
- few style cleanups
- new release 0.2.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 20 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.1-3mdv2008.1
+ Revision: 110770
- require gnome-python-applet, not gnome-python-applets

* Mon Nov 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.1-2mdv2008.1
+ Revision: 110548
- add some missing requirements (#35567)

* Wed Nov 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 106615
- New version

* Wed Oct 10 2007 Adam Williamson <awilliamson@mandriva.com> 0.2-1mdv2008.1
+ Revision: 96627
- disable schemas stuff for now as the schemas are in plugins and they're not in this build
- new release 0.2

  + Colin Guthrie <cguthrie@mandriva.org>
    - Update snapshot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.2-0.88.1mdv2008.0
+ Revision: 80583
- new snapshot 88

* Sun Sep 02 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.81.1mdv2008.0
+ Revision: 78250
- Add buildrequires on gnome-python
- Add buildrequires on pygtk
- Add buildrequires on python-devel
- Update snapshot

* Sat Aug 25 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.67.1mdv2008.0
+ Revision: 71232
- Update snapshot

* Sun Aug 19 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-0.52.1mdv2008.0
+ Revision: 67140
- Update snapshot (new config UI amongst other things)

* Tue Aug 14 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.2-0.35.1mdv2008.0
+ Revision: 63436
- use %%{major} in file list to protect against major upgrades in future
- drop some useless icon resolutions and old icons
- use fedora license policy (GPLv2+)
- arbitrarily update version to 0.12 to simplify versioning
- new snapshot 35

* Sun Aug 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.32.1mdv2008.0
+ Revision: 62147
- Update snapshot

* Sun Aug 05 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.24.1mdv2008.0
+ Revision: 58991
- Update Snapshot

* Wed Aug 01 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-228.12.1mdv2008.0
+ Revision: 57846
- Update snapshot

* Tue Jul 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-227.1mdv2008.0
+ Revision: 52844
- New snapshot: svn 227
- Slight spec file clean

* Sat Jun 30 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-214.1mdv2008.0
+ Revision: 46024
- new svn snapshot 214

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-201.2mdv2008.0
+ Revision: 41614
- also provide awn-devel
- BuildRequires xcomposite and xdamage

* Tue Jun 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-201.1mdv2008.0
+ Revision: 41547
- BuildRequires libglade2.0-devel
- new svn snapshot 201; libified

* Thu Jun 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-186.1mdv2008.0
+ Revision: 36296
- package new files
- new svn snapshot 186
- new snapshot 179, clean spec a little

* Tue Apr 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-173.1mdv2007.1
+ Revision: 13648
- Update to 0.1.1 (svn173)


* Wed Mar 21 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-166.1mdv2007.1
+ Revision: 147799
- fix desktop files
- icons according to fd.o / mdv specs
- update menus in %%post
- new svn snapshot 166

  + Sébastien Savarin <plouf@mandriva.org>
    - revision 160
    - svn 158

* Wed Mar 07 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-156.2mdv2007.1
+ Revision: 134873
- bump for a rebuild - build failed due to repository errors on build cluster
- svn 156

* Thu Mar 01 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.1-143.1mdv2007.0
+ Revision: 130295
- bump to SVN rev 143
- fix up spec

  + Sébastien Savarin <plouf@mandriva.org>
    - Add requires
    - Import avant-window-navigator

